components/pylint/pylint-26.p5m
author Norm Jacobs <Norm.Jacobs@Oracle.COM>
Wed, 28 Mar 2012 10:58:59 -0700
changeset 751 32bfb3fa9b60
parent 706 6e61f0012046
child 1023 d2db2bc970c3
permissions -rw-r--r--
7155746 Userland python bits should use mediated links 7152343 userland and good eleven don't get along, awww 7085731 mediated link support for python
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
# Copyright (c) 2011, 2012, Oracle and/or its affiliates. All rights reserved.
#

<transform file path=usr.*/man/.+ -> default mangler.man.stability uncommitted>

set name=pkg.fmri value=pkg:/developer/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
set name=pkg.summary value="pylint - python code static checker"
set name=pkg.description value="pylint is a Python source code analyzer which looks for programming errors and helps enforce a coding standard"
set name=info.classification value="org.opensolaris.category.2008:Development/Python"
set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
set name=org.opensolaris.arc-caseid \
    value=PSARC/2009/325

dir path=usr
dir path=usr/bin
dir path=usr/lib
dir path=usr/lib/python2.6
dir path=usr/lib/python2.6/vendor-packages
dir path=usr/lib/python2.6/vendor-packages/pylint
dir \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info
dir path=usr/lib/python2.6/vendor-packages/pylint/checkers
dir path=usr/lib/python2.6/vendor-packages/pylint/pyreverse
dir path=usr/lib/python2.6/vendor-packages/pylint/reporters

file path=usr/bin/epylint-2.6
file path=usr/bin/pylint-2.6
file path=usr/bin/pylint-gui-2.6
file path=usr/bin/pyreverse-2.6
file path=usr/bin/symilar-2.6

file \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/PKG-INFO
file \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/SOURCES.txt
file \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/dependency_links.txt
file \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/requires.txt
file \
    path=usr/lib/python2.6/vendor-packages/pylint-$(COMPONENT_VERSION)-py2.6.egg-info/top_level.txt
file path=usr/lib/python2.6/vendor-packages/pylint/__init__.py
file path=usr/lib/python2.6/vendor-packages/pylint/__pkginfo__.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/__init__.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/base.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/classes.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/design_analysis.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/exceptions.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/format.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/imports.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/misc.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/newstyle.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/raw_metrics.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/similar.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/typecheck.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/utils.py
file path=usr/lib/python2.6/vendor-packages/pylint/checkers/variables.py
file path=usr/lib/python2.6/vendor-packages/pylint/config.py
file path=usr/lib/python2.6/vendor-packages/pylint/epylint.py
file path=usr/lib/python2.6/vendor-packages/pylint/gui.py
file path=usr/lib/python2.6/vendor-packages/pylint/interfaces.py
file path=usr/lib/python2.6/vendor-packages/pylint/lint.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/__init__.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/diadefslib.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/diagrams.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/main.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/utils.py
file path=usr/lib/python2.6/vendor-packages/pylint/pyreverse/writer.py
file path=usr/lib/python2.6/vendor-packages/pylint/reporters/__init__.py
file path=usr/lib/python2.6/vendor-packages/pylint/reporters/html.py
file path=usr/lib/python2.6/vendor-packages/pylint/reporters/text.py
file path=usr/lib/python2.6/vendor-packages/pylint/utils.py

link path=usr/bin/epylint target=epylint-2.6 mediator=python mediator-version=2.6
link path=usr/bin/pylint target=pylint-2.6 mediator=python mediator-version=2.6
link path=usr/bin/pylint-gui target=pylint-gui-2.6 mediator=python mediator-version=2.6
link path=usr/bin/pyreverse target=pyreverse-2.6 mediator=python mediator-version=2.6
link path=usr/bin/symilar target=symilar-2.6 mediator=python mediator-version=2.6

license pylint.license license="GPLv2"

# pkgdepend should have picked up the dependency on 
# /library/python-2/logilab-common and /library/python-2/logilab-astng; 
# this explicit depend action can be removed if pkgdepend is fixed later
depend fmri=__TBD \
    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/logilab/common/textutils.py \
    pkg.debug.reason=usr/lib/python2.6/vendor-packages/pylint/utils.py \
    type=require

depend fmri=__TBD \
    pkg.debug.depend.file=usr/lib/python2.6/vendor-packages/logilab/astng/nodes.py \
    pkg.debug.reason=usr/lib/python2.6/vendor-packages/pylint/lint.py \
    type=require

# force a dependency on the Python 2.6 runtime
depend fmri=__TBD pkg.debug.depend.file=python2.6 \
       pkg.debug.depend.path=usr/bin type=require

# force a dependency on the pylint package
depend fmri=developer/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
    type=require